package com.bonus.canteen.core.supply.domain;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDateTime;

@ApiModel(
   value = "DrpOrderGoodsDetail对象",
   description = "采购订单明细表"
)
public class DrpOrderGoodsDetail {
   @TableId
   @ApiModelProperty("采购订单明细id")
   private Long orderGoodsDetailId;
   @ApiModelProperty("采购订单号")
   private String orderGoodsId;
   @ApiModelProperty("原料id")
   private Long materialId;
   @ApiModelProperty("计量单位id")
   private Long unitId;
   @ApiModelProperty("规格")
   private String size;
   @ApiModelProperty("采购订单数量")
   private BigDecimal orderNum;
   @ApiModelProperty("单价")
   private Integer singlePrice;
   @ApiModelProperty("总金额")
   private Integer totalPrice;
   @TableField(
      value = "crby",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建人")
   private String crby;
   @TableField(
      value = "crtime",
      fill = FieldFill.INSERT
   )
   @ApiModelProperty("创建时间")
   private LocalDateTime crtime;
   @TableField(
      value = "upby",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新人")
   private String upby;
   @TableField(
      value = "uptime",
      fill = FieldFill.UPDATE
   )
   @ApiModelProperty("更新时间")
   private LocalDateTime uptime;
   @ApiModelProperty("入库数量")
   private BigDecimal intoNum;
   @ApiModelProperty("备注")
   private String remark;
   @ApiModelProperty("档口id")
   private Long stallId;

   public Long getOrderGoodsDetailId() {
      return this.orderGoodsDetailId;
   }

   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public Long getMaterialId() {
      return this.materialId;
   }

   public Long getUnitId() {
      return this.unitId;
   }

   public String getSize() {
      return this.size;
   }

   public BigDecimal getOrderNum() {
      return this.orderNum;
   }

   public Integer getSinglePrice() {
      return this.singlePrice;
   }

   public Integer getTotalPrice() {
      return this.totalPrice;
   }

   public String getCrby() {
      return this.crby;
   }

   public LocalDateTime getCrtime() {
      return this.crtime;
   }

   public String getUpby() {
      return this.upby;
   }

   public LocalDateTime getUptime() {
      return this.uptime;
   }

   public BigDecimal getIntoNum() {
      return this.intoNum;
   }

   public String getRemark() {
      return this.remark;
   }

   public Long getStallId() {
      return this.stallId;
   }

   public void setOrderGoodsDetailId(final Long orderGoodsDetailId) {
      this.orderGoodsDetailId = orderGoodsDetailId;
   }

   public void setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
   }

   public void setMaterialId(final Long materialId) {
      this.materialId = materialId;
   }

   public void setUnitId(final Long unitId) {
      this.unitId = unitId;
   }

   public void setSize(final String size) {
      this.size = size;
   }

   public void setOrderNum(final BigDecimal orderNum) {
      this.orderNum = orderNum;
   }

   public void setSinglePrice(final Integer singlePrice) {
      this.singlePrice = singlePrice;
   }

   public void setTotalPrice(final Integer totalPrice) {
      this.totalPrice = totalPrice;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setCrtime(final LocalDateTime crtime) {
      this.crtime = crtime;
   }

   public void setUpby(final String upby) {
      this.upby = upby;
   }

   public void setUptime(final LocalDateTime uptime) {
      this.uptime = uptime;
   }

   public void setIntoNum(final BigDecimal intoNum) {
      this.intoNum = intoNum;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setStallId(final Long stallId) {
      this.stallId = stallId;
   }

   public String toString() {
      Long var10000 = this.getOrderGoodsDetailId();
      return "DrpOrderGoodsDetail(orderGoodsDetailId=" + var10000 + ", orderGoodsId=" + this.getOrderGoodsId() + ", materialId=" + this.getMaterialId() + ", unitId=" + this.getUnitId() + ", size=" + this.getSize() + ", orderNum=" + String.valueOf(this.getOrderNum()) + ", singlePrice=" + this.getSinglePrice() + ", totalPrice=" + this.getTotalPrice() + ", crby=" + this.getCrby() + ", crtime=" + String.valueOf(this.getCrtime()) + ", upby=" + this.getUpby() + ", uptime=" + String.valueOf(this.getUptime()) + ", intoNum=" + String.valueOf(this.getIntoNum()) + ", remark=" + this.getRemark() + ", stallId=" + this.getStallId() + ")";
   }
}
